Skip to main content
PUT
Update a blueprint

Headers

X-Network-ID
string
required

Network ID

X-Network-Credential
string
required

Network Credential (network password or JWT)

Query Parameters

blueprint_id
string
required

Blueprint ID

Body

application/json

Blueprint details

Request to update an existing blueprint

configurator
string
Example:

"example-configurator"

minecraft_version
string
Example:

"1.20.1"

name
string
Example:

"example-blueprint"

runtime_config
object

Configuration for the runtime environment

server_software
string
Example:

"paper"

server_url
string
Example:

"https://example.com/server"

software_version
string
Example:

"1.20.1"

workflow_steps
string[]

Response

OK

Response for updating a blueprint

blueprint_id
string
Example:

"123e4567-e89b-12d3-a456-426614174000"

configurator
string
Example:

"example-configurator"

created_at
string
Example:

"2023-01-01T12:00:00Z"

minecraft_version
string
Example:

"1.20.1"

name
string
Example:

"example-blueprint"

runtime_config
object

Configuration for the runtime environment

server_software
string
Example:

"paper"

server_url
string
Example:

"https://example.com/server"

software_version
string
Example:

"1.20.1"

updated_at
string
Example:

"2023-01-01T12:00:00Z"

workflow_steps
string[]